<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:13 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.math.array.NumberOperators
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.math.array.NumberOperators";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/NumberOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumberOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.math.array.NumberOperators</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array"><B>ch.javasoft.math.array</B></A></TD>
<TD>The <tt>math.array</tt> package and subpackages contain interfaces and classes 
for generic vectors and matrices represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array.impl"><B>ch.javasoft.math.array.impl</B></A></TD>
<TD>The <tt>math.array.impl</tt> package contains default implementations of the 
interfaces defined in the parent package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.array.sort"><B>ch.javasoft.math.array.sort</B></A></TD>
<TD>The <tt>math.array.sort</tt> package contains classes to sort rows or columns
of numeric matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.linalg"><B>ch.javasoft.math.linalg</B></A></TD>
<TD>The <tt>math.linalg</tt> package and subpackages contain interfaces and classes 
for linear algebra operations involving vectors and matrices; vectors and 
matrices are generically represented as arrays.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.operator.impl"><B>ch.javasoft.math.operator.impl</B></A></TD>
<TD>The <tt>math.operator.impl</tt> package contains default implementations of the 
<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><CODE>NumberOperators</CODE></A> interface for 
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.math.varint.array"><B>ch.javasoft.math.varint.array</B></A></TD>
<TD>The <tt>math.varint.array</tt> package contains varint support for generic 
vectors and matrices represented as arrays (see <A HREF="../../../../../ch/javasoft/math/array/package-summary.html"><CODE>ch.javasoft.math.array</CODE></A>).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.config"><B>ch.javasoft.polco.config</B></A></TD>
<TD>The <tt>polco.config</tt> package contains classes associated with the XML
configuration file used to control runtime options of the polco program.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.polco.impl"><B>ch.javasoft.polco.impl</B></A></TD>
<TD>The <tt>polco.impl</tt> package contains default implementations for the
polyhedral cone interfaces defined in the parent package.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> that return <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="type parameter in NumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>NumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html#getNumberOperators()">getNumberOperators</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number operators for the number type of this operations</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>ExpressionComposer.</B><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#getNumberOperators()">getNumberOperators</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number operators for the number type of this operations</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/array/package-summary.html">ch.javasoft.math.array</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html#ExpressionComposer(ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.array.NumberOperators)">ExpressionComposer</A></B>(<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;&nbsp;arrayOps,
                                     <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">N</A>,<A HREF="../../../../../ch/javasoft/math/array/ExpressionComposer.html" title="type parameter in ExpressionComposer">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with array operations and operators</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> that return <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultNumberArrayOperations.</B><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#getNumberOperators()">getNumberOperators</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/array/impl/package-summary.html">ch.javasoft.math.array.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html#DefaultNumberArrayOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">DefaultNumberArrayOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;operators,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="type parameter in DefaultNumberArrayOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.array.sort"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/array/sort/package-summary.html">ch.javasoft.math.array.sort</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/array/sort/package-summary.html">ch.javasoft.math.array.sort</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/sort/AbsLexMinArrayComparator.html#AbsLexMinArrayComparator(ch.javasoft.math.array.NumberOperators)">AbsLexMinArrayComparator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/sort/AbsLexMinArrayComparator.html" title="type parameter in AbsLexMinArrayComparator">N</A>,<A HREF="../../../../../ch/javasoft/math/array/sort/AbsLexMinArrayComparator.html" title="type parameter in AbsLexMinArrayComparator">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/sort/FewestNegPosArrayComparator.html#FewestNegPosArrayComparator(ch.javasoft.math.array.NumberOperators)">FewestNegPosArrayComparator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/sort/FewestNegPosArrayComparator.html" title="type parameter in FewestNegPosArrayComparator">N</A>,<A HREF="../../../../../ch/javasoft/math/array/sort/FewestNegPosArrayComparator.html" title="type parameter in FewestNegPosArrayComparator">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/sort/LexMinArrayComparator.html#LexMinArrayComparator(ch.javasoft.math.array.NumberOperators)">LexMinArrayComparator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/sort/LexMinArrayComparator.html" title="type parameter in LexMinArrayComparator">N</A>,<A HREF="../../../../../ch/javasoft/math/array/sort/LexMinArrayComparator.html" title="type parameter in LexMinArrayComparator">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/sort/MostZerosArrayComparator.html#MostZerosArrayComparator(ch.javasoft.math.array.NumberOperators)">MostZerosArrayComparator</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/sort/MostZerosArrayComparator.html" title="type parameter in MostZerosArrayComparator">N</A>,<A HREF="../../../../../ch/javasoft/math/array/sort/MostZerosArrayComparator.html" title="type parameter in MostZerosArrayComparator">A</A>&gt;&nbsp;operators)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.linalg"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> declared as <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#numberOps">numberOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> that return <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html" title="type parameter in BasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html" title="type parameter in BasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>BasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/BasicLinAlgOperations.html#getNumberOperators()">getNumberOperators</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number operators for the number type of this operations</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>DefaultBasicLinAlgOperations.</B><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#getNumberOperators()">getNumberOperators</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/math/linalg/package-summary.html">ch.javasoft.math.linalg</A> with parameters of type <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html#DefaultBasicLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">DefaultBasicLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultBasicLinAlgOperations.html" title="type parameter in DefaultBasicLinAlgOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html#DefaultLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations, ch.javasoft.math.linalg.GaussPivotingFactory)">DefaultLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                               <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;arrayOps,
                                               <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/DefaultLinAlgOperations.html" title="type parameter in DefaultLinAlgOperations">A</A>&gt;&nbsp;gaussPivotingFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html#SupportBasicLinAlgOperations(ch.javasoft.math.array.NumberOperators, ch.javasoft.math.array.ArrayOperations)">SupportBasicLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">N</A>,<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">A</A>&gt;&nbsp;numberOps,
                                                         <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/linalg/SupportBasicLinAlgOperations.html" title="type parameter in SupportBasicLinAlgOperations">A</A>&gt;&nbsp;arrayOps)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.operator.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/math/operator/impl/package-summary.html">ch.javasoft.math.operator.impl</A> that implement <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html" title="class in ch.javasoft.math.operator.impl">BigFractionOperators</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Number operators for <A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math"><CODE>BigFraction</CODE></A> numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Number operators for <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/DoubleOperators.html" title="class in ch.javasoft.math.operator.impl">DoubleOperators</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Number operators for doubles.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.math.varint.array"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/math/varint/array/package-summary.html">ch.javasoft.math.varint.array</A> that implement <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntOperators.html" title="class in ch.javasoft.math.varint.array">VarIntOperators</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Number operators for <A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint"><CODE>VarIntNumber</CODE></A> numbers.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.config"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/polco/config/package-summary.html">ch.javasoft.polco.config</A> that return <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">N</A>,<A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html" title="type parameter in Arithmetic">A</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Arithmetic.</B><B><A HREF="../../../../../ch/javasoft/polco/config/Arithmetic.html#getNumberOperators(ch.javasoft.util.numeric.Zero)">getNumberOperators</A></B>(<A HREF="../../../../../ch/javasoft/util/numeric/Zero.html" title="class in ch.javasoft.util.numeric">Zero</A>&nbsp;zero)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an implementation for number operators using the number type 
 specified by this arithmetic constant.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.polco.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A> in <A HREF="../../../../../ch/javasoft/polco/impl/package-summary.html">ch.javasoft.polco.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../ch/javasoft/polco/impl/package-summary.html">ch.javasoft.polco.impl</A> declared as <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="../../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Num</A>,<A HREF="../../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="type parameter in AbstractPolyhedralCone">Arr</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>AbstractPolyhedralCone.</B><B><A HREF="../../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberOps">numberOps</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/class-use/NumberOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NumberOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
